
QGIS Application - Bug report #1226

tools dialogs should not pop-up after leaving the digitising mode

2008-08-20 06:27 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: groom -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11286

Description

Example:

1. Select "Measure tool".

2. Close it's dialog.

3. Toggle editing on for some layer.

4. Toggle editing off - "Measure tool" dialog pops up.

Could the pop-up be avoided?

Associated revisions

Revision cea709cb - 2008-09-28 08:49 PM - Jürgen Fischer

fix #1226 (applied patch from groom, thanks)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9419 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 2cc1e69a - 2008-09-28 08:49 PM - Jürgen Fischer

fix #1226 (applied patch from groom, thanks)

git-svn-id: http://svn.osgeo.org/qgis/trunk@9419 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-09-12 11:50 AM - groom -

- Status changed from Open to In Progress

#2 - 2008-09-12 01:50 PM - Jürgen Fischer

related to the fix for #958.  The tool that was active before editing started is reactivated and reacts as it did when it was initially activated.

#3 - 2008-09-15 12:30 PM - groom -
http://svn.osgeo.org/qgis/trunk/qgis@9419
http://svn.osgeo.org/qgis/trunk@9419


Yes, that's the present behaviour and I want to leave the equal behaviour for activating and reactivating. But I'd like the dialog to show only as soon as the

starting point is clicked in the map.

#4 - 2008-09-28 11:49 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from In Progress to Closed

applied patch. fixed in commit:2cc1e69a (SVN r9420).

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
